Module java.desktop
Package java.beans.beancontext

# Interface BeanContextServiceRevokedListener

All Superinterfaces:
  `EventListener`

All Known Subinterfaces:
  `BeanContextServices`, `BeanContextServicesListener`

All Known Implementing Classes:
  `BeanContextChildSupport`, `BeanContextServicesSupport`, `BeanContextServicesSupport.BCSSProxyServiceProvider`, `BeanContextSupport`

public interface BeanContextServiceRevokedListener extends EventListener
The listener interface for receiving `BeanContextServiceRevokedEvent` objects. A class that is interested in processing a `BeanContextServiceRevokedEvent` implements this interface.

## Method Summary

Modifier and Type
Method
Description
`void`
`serviceRevoked​(BeanContextServiceRevokedEvent bcsre)`
The service named has been revoked. getService requests for this service will no longer be satisfied.

## Method Details

### serviceRevoked

void serviceRevoked​(BeanContextServiceRevokedEvent bcsre)
The service named has been revoked. getService requests for this service will no longer be satisfied.

Parameters:
  `bcsre` - the `BeanContextServiceRevokedEvent` received by this listener.